#
# spec file for package gap-hecke
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-hecke
Version:        1.5.4
Release:        1.1
Summary:        GAP: Hecke - Specht 2.4 ported to GAP 4
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/hecke/

Source:         https://github.com/gap-packages/hecke/releases/download/v%version/hecke-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8

%description
The Hecke package provides functions for calculating decomposition
matrices of Hecke algebras of the symmetric groups and q-Schur
algebras.

%prep
%autosetup -n hecke-%version -p1

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Fri Aug 30 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.5.4
  * Various janitorial changes
* Sat Jul 16 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.5.3
  * remove use of obsolete and undocumented GAP function
    `InfoRead1`
  * change definitions of various categories to correctly model
    their meaning
  * remove unused and undocumented `FoldLeft` operation
  * remove unused and undocumented `*` method for functions (to
    allow function composition)
  * remove unused, undocumented and broken TeX support in
    undocumented function DecompositionMatrixString
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.5
  * Fix error in CombineEQuotientECore
* Thu Feb  6 2014 jengelh@inai.de
- Update to new upstream release 1.4
  * fixed a bug in SemiStandardTableau(): ignore trailing zeros
  in the type of a tableau
  * Tableau constructor can now actually create the empty tableau
* Fri May 10 2013 jengelh@inai.de
- Split hecke (version 1.3) off the gap RPM package
